התקנת תעודה ב-Wordpress

מתוך ויקי נטפרי
קפיצה אל: ניווט, חיפוש

For English click here

למעבר מתצוגת עריכה לתצוגת קריאה

עמוד ראשי > תעודת האבטחה > התקנת תעודה ב-Wordpress ‎‎


כשמריצים Wordpress על מחשב/שרת עם סינון נטפרי, תהיה בעיית אבטחה בהורדת תוספים ועדכונים.

בגירסאות החדשות של Wordpress, המערכת אינה נשענת על תעודות המחשב, הגדרות PHP או openSsl, אלא יש לה מאגר משלה בקובץ הבא: "wp-includes\certificates\ca-bundle.crt" יש להחליף את הקובץ הזה בקובץ התעודות של נטפרי. אם מדובר במערכת הפעלה של Windows וכבר הותקנה תעודת האבטחה של נטפרי, ניתן לבצע את התיקון ע"י הפקודה הבאה בשורות הפקודה (אפשר גם בהדבקה בתפריט ההתחלה של Windows):

xcopy  /f /y  "C:\ProgramData\NetFree\CA\netfree-ca-bundle-curl.crt"  "c:\mysites\wordpress_5P\wp-includes\certificates\ca-bundle.crt*"

לפני הרצת הפקודה יש להחליף את חלק הנתיב c:\mysites\wordpress_5P\ בנתיב הנכון של תיקיית הWordpress שנמצאת אצלכם במחשב.